Bug 35024 - libcanberra not reacting to pa server problems as it should
Summary: libcanberra not reacting to pa server problems as it should
Status: RESOLVED FIXED
Alias: None
Product: libcanberra
Classification: Unclassified
Component: Unspecified (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Lennart Poettering
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-04 11:05 UTC by Christopher Aillon
Modified: 2012-05-15 02:31 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments
gstack of hang (286.72 KB, text/plain)
2011-03-04 11:05 UTC, Christopher Aillon
Details
workaround patch I've been using (849 bytes, patch)
2011-03-24 18:58 UTC, Christopher Aillon
Details | Splinter Review
screencap of the stacktrace (474.36 KB, image/jpeg)
2011-03-24 19:09 UTC, Dan Williams
Details
avoid recursion (1.06 KB, patch)
2011-03-26 05:53 UTC, Colin Walters
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Aillon 2011-03-04 11:05:51 UTC
Created attachment 44136 [details]
gstack of hang

libcanberra-0.28-2.fc15.x86_64
pulseaudio-0.9.22-3.fc15.x86_64

<caillon> mezcalero, am getting this hang in mutter several times a day....  http://caillon.fedorapeople.org/mutter.gstack
<mezcalero> caillon: urks, looks like a libcanberra issue
<mezcalero> please file a bug against lc, not pa
<mezcalero> looks bad
<mezcalero> probably something wrong with your pa server...
<mezcalero> and the client is not racting to this as it should
Comment 1 Christopher Aillon 2011-03-24 18:58:52 UTC
Created attachment 44802 [details] [review]
workaround patch I've been using

FWIW, I've been using this patch for 3 weeks now in order to restore sanity to my desktop
Comment 2 Dan Williams 2011-03-24 19:07:47 UTC
I'm getting this too, and have been for a few weeks; every so often the shell hangs and I just have to wait until the stack gets too deep and the shell dies.  Stack looks exactly like caillon's.
Comment 3 Dan Williams 2011-03-24 19:09:26 UTC
Created attachment 44803 [details]
screencap of the stacktrace
Comment 4 Colin Walters 2011-03-26 05:14:58 UTC
I'm wondering if this could be ANOTHER case of stuff scoped to the X server (as pulseaudio tries to do) breaking because of sharing between gdm and initial login.

See:
http://git.0pointer.de/?p=pulseaudio.git;a=commit;h=7aa8a3fa8015d17240e5fc27bf44eb7d22e7e13a
Comment 5 Colin Walters 2011-03-26 05:53:57 UTC
Created attachment 44887 [details] [review]
avoid recursion

I think this is a better patch; testing it now.
Comment 6 florianhilgenberg 2012-01-29 01:36:39 UTC
Hi, I think I am experiencing this issue too.
I've setup a pulseaudio server in my LAN to get my desktop pc connected to hifi equipment. So I am using archlinux x64 with libcanberra 0.28-2  on my client.
The pulseaudio server is only online ondemand, so most of the time I am using local soundcard of my desktop. My gtk using applications are drawing the GUI very lazy while the PA server is offline. It is fixed if I boot the PA Server.
This is really annoying because browsing in firefox isn't funny when PA Server is offline.
I've used strace to get following information while firefox (or any other app) is responding lazy:   http://nopaste.info/481c0626fa_nl.html
As you see it seems to been related to libcanberra.
Could somebody tell me an ETA for a fix?
Comment 7 florianhilgenberg 2012-03-05 11:11:11 UTC
i tried the patch to add "p->reconnect = false" to pulse.c and this fixed the issue for me too :-)
Comment 8 Lennart Poettering 2012-05-15 02:31:18 UTC
Fixed in git.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.